net.minecraft.client.renderer.entity

## Class RenderMagmaCube

- java.lang.Object
- - net.minecraft.client.renderer.entity.Render
  - - net.minecraft.client.renderer.entity.RenderLiving
    - - net.minecraft.client.renderer.entity.RenderMagmaCube

-     public class RenderMagmaCube
      extends RenderLiving

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RenderMagmaCube()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `doRender(Entity par1Entity, double par2, double par4, double par6, float par8, float par9)` Actually renders the given argument.
    `void` | `doRenderLiving(EntityLiving par1EntityLiving, double par2, double par4, double par6, float par8, float par9)`
    `void` | `renderMagmaCube(EntityMagmaCube par1EntityMagmaCube, double par2, double par4, double par6, float par8, float par9)`

    - ### Methods inherited from class net.minecraft.client.renderer.entity.RenderLiving

      `setRenderPassModel`

    - ### Methods inherited from class net.minecraft.client.renderer.entity.Render

      `doRenderShadowAndFire, getFontRendererFromRenderManager, renderAABB, renderOffsetAABB, setRenderManager`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RenderMagmaCube

          public RenderMagmaCube()

  - ### Method Detail

    - #### renderMagmaCube

          public void renderMagmaCube(EntityMagmaCube par1EntityMagmaCube,
                             double par2,
                             double par4,
                             double par6,
                             float par8,
                             float par9)

    - #### doRenderLiving

          public void doRenderLiving(EntityLiving par1EntityLiving,
                            double par2,
                            double par4,
                            double par6,
                            float par8,
                            float par9)

      Overrides:
        `doRenderLiving` in class `RenderLiving`

    - #### doRender

          public void doRender(Entity par1Entity,
                      double par2,
                      double par4,
                      double par6,
                      float par8,
                      float par9)

      Actually renders the given argument. This is a synthetic bridge method, always casting down its argument and then handing it off to a worker function which does the actual work. In all probabilty, the class Render is generic (Render
      Overrides:
        `doRender` in class `RenderLiving`